package com.reptileclient.jlifeapp.dao.hm;

import cn.hutool.core.date.DateTime;
import com.reptileclient.jlifeapp.entity.hm.HmBookOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface HmBookOrderMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HmBookOrder record);

    int insertSelective(HmBookOrder record);

    HmBookOrder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HmBookOrder record);

    int updateByPrimaryKey(HmBookOrder record);

    int insertByBatch(List<HmBookOrder> hmBookOrders);

    HmBookOrder selectNewOne(@Param("shopName") String shopName);

    int deleteByCreateTime(@Param("createTime") String createTime, @Param("shopName") String shopName);

    long selectCountByPhone(String phone);

    int deleteByPhone(String phone);

    int deleteDistinctData(@Param("dateTime") DateTime dateTime);

    int insertClientByBatch(@Param("createTime") String createTime);

    HmBookOrder selectByPaymentNo(@Param("paymentNo") String paymentNo);

    int deleteByBetWeenTime(@Param("startTime") DateTime startTime, @Param("endTime") DateTime endTime);

    List<HmBookOrder> selectListByPaymentNo();

    List<Map<String, Object>> selectMatchList();

    HmBookOrder selectByBookOrderNo(@Param("bookOrderNo") String bookOrderNo);

    int deleteByBookOrderNo(@Param("bookOrderNo") String bookOrderNo);
}